import { OnInit } from '@angular/core';
import { Observable } from 'rxjs';
import { PendingRequestsInterceptor } from '../services/pending-requests-interceptor.service';
import { SpinnerVisibilityService } from '../services/spinner-visibility.service';
import * as i0 from "@angular/core";
export declare class NgHttpLoaderComponent implements OnInit {
    private pendingRequestsInterceptor;
    private spinnerVisibility;
    spinkit: {
        skChasingDots: string;
        skCubeGrid: string;
        skDoubleBounce: string;
        skRotatingPlane: string;
        skSpinnerPulse: string;
        skThreeBounce: string;
        skWanderingCubes: string;
        skWave: string;
    };
    isVisible$: Observable<boolean>;
    private visibleUntil;
    backdrop: boolean;
    backgroundColor: string;
    debounceDelay: number;
    entryComponent: any;
    extraDuration: number;
    filteredHeaders: string[];
    filteredMethods: string[];
    filteredUrlPatterns: string[];
    minDuration: number;
    opacity: string;
    backdropBackgroundColor: string;
    spinner: string | null;
    constructor(pendingRequestsInterceptor: PendingRequestsInterceptor, spinnerVisibility: SpinnerVisibilityService);
    ngOnInit(): void;
    private initIsvisibleObservable;
    private nullifySpinnerIfEntryComponentIsDefined;
    private initFilters;
    private initFilteredUrlPatterns;
    private initFilteredMethods;
    private initFilteredHeaders;
    private updateExpirationDelay;
    private getVisibilityTimer$;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgHttpLoaderComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgHttpLoaderComponent, "ng-http-loader", never, { "backdrop": "backdrop"; "backgroundColor": "backgroundColor"; "debounceDelay": "debounceDelay"; "entryComponent": "entryComponent"; "extraDuration": "extraDuration"; "filteredHeaders": "filteredHeaders"; "filteredMethods": "filteredMethods"; "filteredUrlPatterns": "filteredUrlPatterns"; "minDuration": "minDuration"; "opacity": "opacity"; "backdropBackgroundColor": "backdropBackgroundColor"; "spinner": "spinner"; }, {}, never, never>;
}
